<?php

namespace FiloBlu\Design\Block;

class BeforeJs extends \Magento\Framework\View\Element\Template {

    /**
     * Helper
     *
     * @var \FiloBlu\Design\Helper\Data
     */
    public $_helper;
    public $registry;
    public $_storeManager;
    public $_serialize;

    const CONFIG_IMAGE_DIR_PREFIX = 'filoblu/lazyload/';

    public function __construct(
    \Magento\Framework\View\Element\Template\Context $context,\Magento\Framework\Serialize\Serializer\Json $serialize, \FiloBlu\Design\Helper\Data $helper, \Magento\Framework\Registry $registry, array $data = []
    ) {
        $this->_helper = $helper;
        $this->registry = $registry;
        $this->_serialize = $serialize;

        $om = \Magento\Framework\App\ObjectManager::getInstance();
        /** @var \Magento\Framework\View\Page\Config $page */
        $page = $om->get('Magento\Framework\View\Page\Config');

        // VideoJS
        if ($this->_helper->getConfig('js_library/videojs_4_12_7_enabled')) {
            $page->addPageAsset('FiloBlu_Design::js/videoJS/css/video-js-4.12.7.min.css');
        }

        //plyr
        if ($this->_helper->getConfig('js_library/plyr_2_0_11_enabled')) {
            $page->addPageAsset('FiloBlu_Design::js/plyr/css/plyr.css');
        }

        // Swiper
        if ($this->_helper->getConfig('js_library/swiper_3_3_1_enabled')) {
            $page->addPageAsset('FiloBlu_Design::js/Swiper/css/swiper.min-3.3.1.css');
        }

        // nanoScroller
        if ($this->_helper->getConfig('js_library/nanoScrollerJS_0_8_7_enabled')) {
            $page->addPageAsset('FiloBlu_Design::js/nanoScrollerJS/css/nanoscroller-0.8.7.css');
        }

        // intlTelInput
        if ($this->_helper->getConfig('js_library/intlTelInput_enabled')) {
            $page->addPageAsset('FiloBlu_Design::js/intlTelInput/css/intlTelInput.css');
        }


//		$page->addPageAsset('Dfe_Markdown::main.css');

        parent::__construct($context, $data);
    }

    public function getBaseUrlConfigImage() {
        return $this->_storeManager->getStore()->getBaseUrl(\Magento\Framework\UrlInterface::URL_TYPE_MEDIA) . SELF::CONFIG_IMAGE_DIR_PREFIX;
    }

    public function getDisplayBreakPoint($_breakpointConfig) {

        $strToReturn = "";
        foreach ($_breakpointConfig as $conf) {
            $strToReturn .= $conf["breakpointtype"] . ':"' . $conf["breakpointtype"] . '",';
        }
        return $strToReturn;
    }
    
    public function getMediaQueriesBreakPoint($_breakpointConfig) {

        $strToReturn = "";
        foreach ($_breakpointConfig as $conf) {
            $strToReturn .= $conf["breakpointtype"] . ':"' . $conf["breakpointmediaquery"] . '",';
        }
        return $strToReturn;
    }

}
